Add a script for running a server
authorAlex Chan <alex@alexwlchan.net>
Sat, 2 Jan 2021 11:03:52 +0000 (11:03 +0000)
committerAlex Chan <alex@alexwlchan.net>
Sat, 2 Jan 2021 11:03:52 +0000 (11:03 +0000)
serve.sh [new file with mode: 0755]

diff --git a/serve.sh b/serve.sh
new file mode 100755 (executable)
index 0000000..4f53855
--- /dev/null
+++ b/serve.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+set -o errexit
+set -o nounset
+
+cd _html
+python3 -m http.server 5959 &
+sleep 3
+open -a safari http://localhost:5959